Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.socket
Class SocketWrapper

    java.lang.Object
      org.jboss.remoting.transport.socket.SocketWrapper

Direct Known Subclasses:
  ClientSocketWrapper

    public abstract class SocketWrapper

extends java.lang.Object

Author:
  Tom Elrod

Field Summary
`protected static int` | `CLOSING`
`static java.lang.String` | `MARSHALLER`
`static java.lang.String` | `TEMP_TIMEOUT`
`static java.lang.String` | `UNMARSHALLER`

Constructor Summary
`protected` | `SocketWrapper(java.net.Socket socket)`
`protected` | `SocketWrapper(java.net.Socket socket, java.lang.Integer timeoutInt)`

Method Summary
`abstract void` | `checkConnection()`
`void` | `close()`
`protected void` | `finalize()`
`abstract java.io.InputStream` | `getInputStream()`
`abstract java.io.OutputStream` | `getOutputStream()`
`java.net.Socket` | `getSocket()`
`int` | `getTimeout()`
`void` | `setTimeout(int timeout)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MARSHALLER

    public static final java.lang.String MARSHALLER

See Also:
  Constant Field Values

### UNMARSHALLER

    public static final java.lang.String UNMARSHALLER

See Also:
  Constant Field Values

### TEMP_TIMEOUT

    public static final java.lang.String TEMP_TIMEOUT

See Also:
  Constant Field Values

### CLOSING

    protected static final int CLOSING

See Also:
  Constant Field Values

Constructor Detail

### SocketWrapper

    protected SocketWrapper(java.net.Socket socket)

### SocketWrapper

    protected SocketWrapper(java.net.Socket socket,
                            java.lang.Integer timeoutInt)
                     throws java.net.SocketException

Throws:
  `java.net.SocketException`

Method Detail

### setTimeout

    public void setTimeout(int timeout)
                    throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### getTimeout

    public int getTimeout()

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getSocket

    public java.net.Socket getSocket()

### getOutputStream

    public abstract java.io.OutputStream getOutputStream()
                                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### getInputStream

    public abstract java.io.InputStream getInputStream()
                                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### checkConnection

    public abstract void checkConnection()
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### finalize

    protected void finalize()

  Overrides:
    `finalize` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.